# Package com.sun.jdi.connect.spi

This package comprises the interfaces and classes used to develop new `TransportService` implementations.

See: Description

- Class Summary
  Class | Description
  --- | ---
  Connection | A connection between a debugger and a target VM which it debugs.
  TransportService | A transport service for connections between a debugger and a target VM.
  TransportService.Capabilities | The transport service capabilities.
  TransportService.ListenKey | A listen key.

- Exception Summary
  Exception | Description
  --- | ---
  ClosedConnectionException | This exception may be thrown as a result of an asynchronous close of a `Connection` while an I/O operation is in progress.

## Package com.sun.jdi.connect.spi Description

This package comprises the interfaces and classes used to develop new `TransportService` implementations.

Copyright © 1999, 2015, Oracle and/or its affiliates. All rights reserved.